org.apache.commons.collections4.bidimap

## Class AbstractDualBidiMap.ValuesIterator<V>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator<E,E>
  - - org.apache.commons.collections4.iterators.AbstractIteratorDecorator<V>
    - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.ValuesIterator<V>

- All Implemented Interfaces:
    Iterator<V>
  Enclosing class:
    AbstractDualBidiMap<K,V>

      protected static class AbstractDualBidiMap.ValuesIterator<V>
      extends AbstractIteratorDecorator<V>

  Inner class ValuesIterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canRemove` Whether remove is allowed at present
    `protected V` | `lastValue` The last returned value
    `protected AbstractDualBidiMap<Object,V>` | `parent` The parent map

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValuesIterator(Iterator<V> iterator, AbstractDualBidiMap<?,V> parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator

      `getIterator, hasNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### parent

          protected final AbstractDualBidiMap<Object,V> parent

      The parent map

    - #### lastValue

          protected V lastValue

      The last returned value

    - #### canRemove

          protected boolean canRemove

      Whether remove is allowed at present

  - ### Constructor Detail

    - #### ValuesIterator

          protected ValuesIterator(Iterator<V> iterator,
                                   AbstractDualBidiMap<?,V> parent)

      Constructor.
      Parameters:
        `iterator` - the iterator to decorate
        `parent` - the parent map

  - ### Method Detail

    - #### next

          public V next()

      Description copied from class: `AbstractIteratorDecorator`
      Specified by:
        `next` in interface `Iterator<V>`
      Overrides:
        `next` in class `AbstractIteratorDecorator<V>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<V>`
      Overrides:
        `remove` in class `AbstractUntypedIteratorDecorator<V,V>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.